//----------------------------------------------------------------------------
// Copyright (c) 2018 Easy Life Dz (https://easylifedz.com)
// All Rights Reserved.
//----------------------------------------------------------------------------

#include "EasySkin.h"
#include "tchar.h"

EasySkin::EasySkin()
{
    m_hEasySkinDLL = NULL;
    LoadSkin = NULL;
}

EasySkin::~EasySkin()
{
    if (m_hEasySkinDLL)
    {
        LoadSkin(NULL, NULL);
        ::FreeLibrary(m_hEasySkinDLL);
    }
}

bool EasySkin::Init()
{
    m_hEasySkinDLL = ::LoadLibrary(L"EasySkin.dll");

    if(m_hEasySkinDLL == NULL)
        return FALSE;

    LoadSkin = (PFN_LOADSKIN)::GetProcAddress(m_hEasySkinDLL, "LoadSkin");

    return true;
}

int EasySkin::Exit()
{
    if (m_hEasySkinDLL)
    {
        LoadSkin(NULL, NULL);
        ::FreeLibrary(m_hEasySkinDLL);
        m_hEasySkinDLL = NULL;

        return 1;
    }

    return 0;
}
